package p24_pliki;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.IOException;

public class Odczyt2_BufferedReader {

	public static void main(String[] args) {
		// BufferedReader jest inną klasą, która potrafi czytań linie z pliku tekstowego.
		// Jest bardziej prymitywna od Scannera, ale działa szybciej.
		try(BufferedReader in = new BufferedReader(new FileReader(new File("pliki/pan_tadeusz.txt")))) {
			while(true) {
				String linia = in.readLine();
				// najpierw czytamy, a później patrzymy czy nie wyszedł null - to by znaczyło, że już koniec pliku
				if(linia == null)
					break;
				System.out.println(linia);
			}
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

}
